Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"code": "<string>",
"externalCode": "<string>",
"deliveryWindowsType": "BY_PRODUCT",
"customerId": "<string>",
"customerCode": "<string>",
"salesRepresentativeCode": "<string>",
"status": "DRAFT",
"type": "PRE_ORDER",
"subTotal": 123,
"totalDiscount": 123,
"totalCharges": 123,
"totalShippingCostValue": 123,
"totalValue": 123,
"totalPieces": 123,
"totalItems": 123,
"synchronizedStatus": "SUCCESS",
"createdAt": "<string>",
"updatedAt": "<string>",
"maxChangedDate": "<string>",
"observation": "<string>",
"archived": true,
"priceTableCode": "<string>",
"sellerEmail": "<string>",
"priceComposition": [
{
"id": "<string>",
"label": "<string>",
"price": 123
}
],
"consultantCode": "<string>",
"consultantName": "<string>"
}
],
"nextCursor": "<string>"
}pedidos
orders pagination
GET
/
v1
/
orders
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"code": "<string>",
"externalCode": "<string>",
"deliveryWindowsType": "BY_PRODUCT",
"customerId": "<string>",
"customerCode": "<string>",
"salesRepresentativeCode": "<string>",
"status": "DRAFT",
"type": "PRE_ORDER",
"subTotal": 123,
"totalDiscount": 123,
"totalCharges": 123,
"totalShippingCostValue": 123,
"totalValue": 123,
"totalPieces": 123,
"totalItems": 123,
"synchronizedStatus": "SUCCESS",
"createdAt": "<string>",
"updatedAt": "<string>",
"maxChangedDate": "<string>",
"observation": "<string>",
"archived": true,
"priceTableCode": "<string>",
"sellerEmail": "<string>",
"priceComposition": [
{
"id": "<string>",
"label": "<string>",
"price": 123
}
],
"consultantCode": "<string>",
"consultantName": "<string>"
}
],
"nextCursor": "<string>"
}Authorizations
unique identifier access key. each brand has it own unique key.
Query Parameters
pagination: limit of entities returned by query
Required range:
x <= 50pagination: cursor of the last loaded item. omit it to get the first page
filter by order code
filter by order external code
filter by status
Available options:
DRAFT, IN_REVISION, ON_APPROVAL, APPROVED, SENT, CANCELED, ABANDONED, REJECTED, SUGGESTED filter by order type (accepts multiple values)
Available options:
PRE_ORDER, READY_FOR_DELIVERY, BOTH change interval start date
change interval end date
filter by date
filter sinchronized orders
Available options:
NOT_SYNCHRONIZED, ERROR, SUCCESS, PROCESSING filter by archived orders
filter by customer code
filter by customer id
